import { type Base, genBase } from "./_base"
import { type Person, genPerson } from "./person";
import { type Specialist, genSpecialist } from "./specialist";
import { type Subspecialist } from "./subspecialist";

export interface SpecialistIntern extends Base {
  person_id: number
  person: Person
  specialist_id: number
  specialist: Specialist
  subspecialist_id?: number
  subspecialist?: Subspecialist
  user_id: number
}

export function genSpecialistIntern(): SpecialistIntern {
  return {
    ...genBase(),
    person_id: 0,
    person: genPerson(),
    specialist_id: 0,
    specialist: genSpecialist(),
    user_id: 0,
  }
}